import request from '@/utils/request'

export function add(data) {
    return request({
        url: 'report/job/insert',
        method: 'post',
        data
    })
}

export function del(ids) {
    return request({
        url: 'report/job/delete',
        method: 'post',
        data: ids
    })
}

export function edit(data) {
    return request({
        url: 'report/job/update',
        method: 'post',
        data
    })
}

export function changeStatus(data) {
    return request({
        url: 'report/job/changeStatus',
        method: 'post',
        data
    })
}

export function executeJob(data) {
    return request({
        url: 'report/job/executeJob',
        method: 'post',
        data
    })
}

export default { del, changeStatus, add, edit, executeJob }
